import { type ReactiveControllerHost } from 'lit';
export declare type ConsumeContextOptions<T> = {
    /**
     * A unique identifier used to pair a context provider and consumer.
     */
    id: symbol;
};
export declare class ContextConsumerController<T> {
    protected readonly _host: ReactiveControllerHost & EventTarget;
    readonly initialValue: T;
    protected readonly _options: ConsumeContextOptions<T>;
    get id(): symbol;
    get value(): T;
    constructor(_host: ReactiveControllerHost & EventTarget, initialValue: T, _options: ConsumeContextOptions<T>);
    /**
     * Attempt connecting to a context provider.
     */
    protected _connect(): void;
}
//# sourceMappingURL=ContextConsumerController.d.ts.map