import { type ReactiveControllerHost } from 'lit';
import { ContextConsumerController } from './ContextConsumerController';
import { ContextProviderController } from './ContextProviderController';
/**
 * Creates and returns a pairable context consumer and provider.
 */
export declare function createContext<T>(initValue: () => T): Context<T>;
export interface Context<T> {
    readonly id: symbol;
    provide(host: ReactiveControllerHost & EventTarget): ContextProviderController<T>;
    consume(host: ReactiveControllerHost & EventTarget): ContextConsumerController<T>;
}
//# sourceMappingURL=createContext.d.ts.map