import { LitElement } from 'lit';
import { type Constructor } from '../helper-types';
/**
 * A selector selecting focusable nodes.
 *
 * @see https://github.com/carbon-design-system/carbon-web-components
 */
export declare const focusableSelector: string;
/**
 * Mixes in a `focus()` method that focuses the first focusable element in the shadow DOM.
 * Technically a polyfill for `shadowRoot.delegatesFocus`.
 *
 * @param Base - The constructor to mix into.
 * @see https://github.com/carbon-design-system/carbon-web-components
 */
export declare function WithFocus<T extends Constructor<LitElement>>(Base: T): T;
//# sourceMappingURL=WithFocus.d.ts.map