import { type ReactiveControllerHost } from 'lit';
import { type GlobalEventHandlerMap } from '../utils/events';
/**
 * Add an event listener to the given `host` element until it's disconnected from the DOM, at which
 * point the listener will be removed.
 */
export declare function eventListener<EventType extends keyof GlobalEventHandlerMap>(host: ReactiveControllerHost & EventTarget, type: EventType, listener: GlobalEventHandlerMap[EventType], options?: (EventListenerOptions | AddEventListenerOptions) & {
    target?: EventTarget;
}): void;
//# sourceMappingURL=eventListener.d.ts.map