import { type ReactiveControllerHost } from 'lit';
import { DisposalBin } from '../utils/events';
import { GroupedLog } from './groupedLog';
import { LogLevel } from './LogLevel';
export declare class LogController {
    protected readonly _host: ReactiveControllerHost & EventTarget;
    logLevel: LogLevel;
    protected _disposal: DisposalBin;
    constructor(_host: ReactiveControllerHost & EventTarget);
    protected _start(): void;
    protected _stop(): void;
    protected _logGroup(level: LogLevel, groupedLog: GroupedLog): void;
    protected _log(level: LogLevel, ...data: any[]): void;
    protected _labelledLog(label: string, ...data: any[]): void;
    protected _logStackTrace(): void;
    protected _logTimeDiff(): void;
    protected _lastLogTimestamp?: number;
    protected _getLastLogTimeDiff(): string;
}
//# sourceMappingURL=LogController.d.ts.map