import { GROUPED_LOG_ID, GroupedLog } from './groupedLog';
import { type LogLevel } from './LogLevel';
/**
 * Simple facade that simplifies dispatching log events from a given `host` element.
 */
export declare class LogDispatcher {
    protected readonly _host: EventTarget;
    constructor(_host: EventTarget);
    error(...data: any[]): void;
    warn(...data: any[]): void;
    info(...data: any[]): void;
    debug(...data: any[]): void;
    errorGroup(title: string): GroupedLogDispatch;
    warnGroup(title: string): GroupedLogDispatch;
    infoGroup(title: string): GroupedLogDispatch;
    debugGroup(title: string): GroupedLogDispatch;
    protected _dispatch(level: LogLevel, ...data: any[]): void;
    protected _groupDispatcher(level: LogLevel, title: string, rootGroup?: GroupedLog, parentGroup?: GroupedLog): GroupedLogDispatch;
}
export declare type GroupedLogDispatch = {
    readonly [GROUPED_LOG_ID]: true;
    readonly title: string;
    readonly logs: ({
        label?: string;
        data: any[];
    } | GroupedLog)[];
    log(...data: any[]): GroupedLogDispatch;
    labelledLog(label: string, ...data: any[]): GroupedLogDispatch;
    groupStart(title: string): GroupedLogDispatch;
    groupEnd(): GroupedLogDispatch;
    dispatch(): void;
};
//# sourceMappingURL=LogDispatcher.d.ts.map