import { VdsEvent } from '../events';
import { type LogLevel } from './LogLevel';
export declare type LoggerEvents = {
    'vds-log': LogEvent;
};
/**
 * @event
 * @bubbles
 * @composed
 */
export declare type LogEvent = VdsEvent<{
    /**
     * The log level.
     *
     * @default 'info'
     */
    level?: LogLevel;
    /**
     * Data to be logged.
     *
     * @default undefined
     */
    data?: any[];
}>;
export declare function logEvent(level: LogLevel, ...data: any[]): LogEvent;
//# sourceMappingURL=events.d.ts.map