export declare const GROUPED_LOG_ID: unique symbol;
export declare type GroupedLog = {
    readonly [GROUPED_LOG_ID]: true;
    readonly title: string;
    readonly logs: ({
        label?: string;
        data: any[];
    } | GroupedLog)[];
    log(...data: any[]): GroupedLog;
    labelledLog(label: string, ...data: any[]): GroupedLog;
    groupStart(title: string): GroupedLog;
    groupEnd(): GroupedLog;
};
export declare function isGroupedLog(data: unknown): data is GroupedLog;
export declare function groupedLog(title: string, parent?: GroupedLog): GroupedLog;
//# sourceMappingURL=groupedLog.d.ts.map