export declare class RequestQueue {
    protected readonly _requestQueue: Map<string | symbol, () => void | Promise<void>>;
    protected _pendingFlush: import("../utils/promise").DeferredPromise<void, void>;
    protected _isServing: boolean;
    /**
     * Whether items in the queue are being served immediately, otherwise they're queued to
     * be processed later.
     */
    get isServing(): boolean;
    /**
     * The number of callbacks that are currently in queue.
     */
    get size(): number;
    /**
     * Waits for the queue to be flushed (ie: start serving).
     */
    waitForFlush(): Promise<void>;
    queue(key: string | symbol, callback: () => void | Promise<void>): Promise<void>;
    serve(key: string | symbol): Promise<void>;
    /**
     * Start serving requests.
     */
    start(): Promise<void>;
    protected _flush(): Promise<void>;
    protected _empty(): void;
    protected _release(): void;
    /**
     * Stop serving requests, they'll be queued until you begin processing again by calling
     * `start()`.
     */
    stop(): void;
    destroy(): void;
}
//# sourceMappingURL=RequestQueue.d.ts.map