/**
 * From: https://github.com/sveltejs/svelte/blob/master/src/runtime/store/index.ts
 * Documentation: https://svelte.dev/docs#run-time-svelte-store
 */
import { type ReadableStore, type Stores, type StoreStartStopNotifier, type StoresValues, type StoreUnsubscriber, type WritableStore } from './types';
/**
 * Creates a `Readable` store that allows reading by subscription.
 */
export declare function readable<T>(value?: T, start?: StoreStartStopNotifier<T>): ReadableStore<T>;
/**
 * Create a `Writable` store that allows both updating and reading by subscription.
 */
export declare function writable<T>(value?: T, start?: StoreStartStopNotifier<T>): WritableStore<T>;
/**
 * Derived value store by synchronizing one or more readable stores and
 * applying an aggregation function over its input values.
 */
export declare function derived<S extends Stores, T>(stores: S, fn: (values: StoresValues<S>, set: (value: T) => void) => StoreUnsubscriber | void, initialValue?: T): ReadableStore<T>;
/**
 * Derived value store by synchronizing one or more readable stores and
 * applying an aggregation function over its input values.
 */
export declare function derived<S extends Stores, T>(stores: S, fn: (values: StoresValues<S>) => T, initialValue?: T): ReadableStore<T>;
/**
 * Derived value store by synchronizing one or more readable stores and
 * applying an aggregation function over its input values.
 */
export declare function derived<S extends Stores, T>(stores: S, fn: (values: StoresValues<S>) => T): ReadableStore<T>;
declare function getStoreValue<T>(store: ReadableStore<T>): T;
export { getStoreValue as get };
//# sourceMappingURL=stores.d.ts.map