export declare type DeferredPromise<ResolveType = void, RejectType = void> = {
    promise: Promise<ResolveType | undefined>;
    resolve: (value?: ResolveType) => void;
    reject: (reason: RejectType) => void;
};
/**
 * Creates an empty Promise and defers resolving/rejecting it.
 */
export declare function deferredPromise<ResolveType = void, RejectType = void>(): DeferredPromise<ResolveType, RejectType>;
/**
 * Wraps a promise so it can timeout.
 *
 * @param promise
 * @param timeout
 * @param timeoutMsg
 */
export declare function timedPromise<T>(promise: Promise<T>, timeout: number, timeoutMsg: string): Promise<T>;
//# sourceMappingURL=promise.d.ts.map