export declare const escapeQuotes: (str: string) => string;
export declare const normalizeLineBreaks: (str: string) => string;
export declare function splitLineBreaks(str: string): string[];
export declare function uppercaseFirstLetter(str: string): string;
export declare function lowercaseFirstLetter(str: string): string;
/**
 * Converts a kebab-case string to Title Case.
 *
 * @example 'myProperty' -> 'My Property'
 */
export declare function kebabToTitleCase(str: string): string;
/**
 * Converts a camelCase string to kebab-case.
 *
 * @example 'myProperty' -> 'my-property'
 */
export declare function camelToKebabCase(str: string): string;
/**
 * Converts a kebab-case string to camelCase.
 *
 * @example 'my-property' -> 'myProperty'
 */
export declare function kebabToCamelCase(str: string): string;
/**
 * Converts a kebab-case string to PascalCase.
 *
 * @example 'myProperty' -> 'MyProperty'
 */
export declare function kebabToPascalCase(str: string): string;
/**
 * Converts a camelCase string to Title Case.
 *
 * @example 'myProperty' -> 'Title Case'
 */
export declare function camelToTitleCase(str: string): string;
//# sourceMappingURL=string.d.ts.map