import debounce from 'just-debounce-it';
import throttle from 'just-throttle';
export { debounce, throttle };
export declare type RafThrottledFunction<Fn extends (...args: any) => void> = Fn & {
    cancel: () => void;
    pending: () => boolean;
};
export declare function wait(delay: number): Promise<void>;
/**
 * Creates a throttled function that only invokes `func` at most once per animation frame.
 *
 * @param func - The function to throttle.
 * @link https://developer.mozilla.org/en-US/docs/Web/API/window/requestAnimationFrame
 */
export declare function rafThrottle<Fn extends (...args: any[]) => void>(func: Fn): RafThrottledFunction<Fn>;
//# sourceMappingURL=timing.d.ts.map